import ZSession

def initialize(context):

    try :
	context.registerClass(
    	    ZSession.SessionManager,
    	    permission = 'Add Z Session Managers',
    	    constructors = (
		ZSession.manage_addSessionManagerForm,
                ZSession.manage_addSessionManager
		)
	    )
        context.registerBaseClass( ZSession.SessionManager)

        context.registerBaseClass( ZSession.Session)
        context.registerBaseClass( ZSession.LazySession)

	context.registerPlugInClass(
	    ZSession.SessionSource,
    	    permission = 'Add Z Session Sources',
    	    constructors = (
		ZSession.manage_addSessionSourceForm,
                ZSession.manage_addSessionSource),
	    )
	
        context.registerBaseClass( ZSession.SessionSource)

    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(
	    string.join( traceback.format_exception(type, val, tb), '')
	    )
        del type, val, tb


